summaryrefslogtreecommitdiff
path: root/dev-python/pygal
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-02-17 07:44:03 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-02-17 07:44:03 +0000
commitb20430a929939ff90b7fdc6fdd22c6aa8b73a315 (patch)
treecc0bb880273f85ee222ee144d26eaa1426d650f5 /dev-python/pygal
parent72d7b6801b0d487898486546a1a2e70130d48719 (diff)
downloadbaldeagleos-repo-b20430a929939ff90b7fdc6fdd22c6aa8b73a315.tar.gz
baldeagleos-repo-b20430a929939ff90b7fdc6fdd22c6aa8b73a315.tar.xz
baldeagleos-repo-b20430a929939ff90b7fdc6fdd22c6aa8b73a315.zip
Adding metadata
Diffstat (limited to 'dev-python/pygal')
-rw-r--r--dev-python/pygal/Manifest1
-rw-r--r--dev-python/pygal/pygal-3.0.0-r4.ebuild44
2 files changed, 45 insertions, 0 deletions
diff --git a/dev-python/pygal/Manifest b/dev-python/pygal/Manifest
index 932c7ae4057a..d535ff34e001 100644
--- a/dev-python/pygal/Manifest
+++ b/dev-python/pygal/Manifest
@@ -1 +1,2 @@
+DIST pygal-3.0.0.gh.tar.gz 3575455 BLAKE2B 9b64cf441aeb25b0a0b9834f07e5892fe163f28a5da796d37083f8f3a10d8737a69bad39e503d722e6a36f2de4367b4fd2bdc3a06c5bc30bce66a370690d9c88 SHA512 71ac9f197d711c8cf5bb47caef128754f81b1cb0ba98c4cc67de78b68fca5d40baae9fbb5c978f6abaed4c73b8edfea2de07de2fda1aa7c15e0d81387518cc49
DIST pygal-3.0.0.tar.gz 3575455 BLAKE2B 9b64cf441aeb25b0a0b9834f07e5892fe163f28a5da796d37083f8f3a10d8737a69bad39e503d722e6a36f2de4367b4fd2bdc3a06c5bc30bce66a370690d9c88 SHA512 71ac9f197d711c8cf5bb47caef128754f81b1cb0ba98c4cc67de78b68fca5d40baae9fbb5c978f6abaed4c73b8edfea2de07de2fda1aa7c15e0d81387518cc49
diff --git a/dev-python/pygal/pygal-3.0.0-r4.ebuild b/dev-python/pygal/pygal-3.0.0-r4.ebuild
new file mode 100644
index 000000000000..e5ee04061843
--- /dev/null
+++ b/dev-python/pygal/pygal-3.0.0-r4.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="A python SVG charts generator"
+HOMEPAGE="https://github.com/Kozea/pygal/"
+SRC_URI="https://github.com/Kozea/${PN}/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/pyquery[${PYTHON_USEDEP}]
+ media-gfx/cairosvg[${PYTHON_USEDEP}]
+ )
+"
+
+# CHANGELOG is a symlink to docs/changelog.rst
+DOCS=( docs/changelog.rst README.md )
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # Not actually required unless we want to do setup.py test
+ # https://github.com/Kozea/pygal/issues/430
+ sed -i -e "/setup_requires/d" setup.py || die
+ distutils-r1_python_prepare_all
+}
+
+pkg_postinst() {
+ optfeature "improving rendering speed" "dev-python/lxml"
+ optfeature "png rendering" "dev-python/cairosvg"
+}